# eric7.Plugins.VcsPlugins.vcsMercurial.GpgExtension.HgGpgSignDialog

Module implementing a dialog to enter data for signing a revision.

### Global Attributes

None

### Classes

HgGpgSignDialog | Class implementing a dialog to enter data for signing a revision.

### Functions

None

## HgGpgSignDialog

Class implementing a dialog to enter data for signing a revision.

### Derived from

QDialog, Ui_HgGpgSignDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgGpgSignDialog | Constructor
__updateOK | Private slot to update the OK button.
getData | Public method to retrieve the entered data.

### Static Methods

None

#### HgGpgSignDialog (Constructor)

HgGpgSignDialog(tagsList, branchesList, bookmarksList=None, parent=None)

Constructor

tagsList (list of str)
  list of tags
branchesList (list of str)
  list of branches
bookmarksList (list of str)
  list of bookmarks
parent (QWidget)
  parent widget

#### HgGpgSignDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgGpgSignDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple giving the revision, a flag indicating not to commit the signature, a commit message, an ID of the key to be used, a flag indicating a local signature and a flag indicating a forced signature

Return Type:
  tuple of (str, bool, str, str, bool, bool)

Up